class TopicsController < ApplicationController
  before_action :set_topic, only: [:show, :edit, :update, :destroy]

  # GET /topics
  # GET /topics.json
  def index
    #@topics = Topic.all
    @topics = []
    @topics << Topic.new(title: "Hello", user_id: 1, contents: "Hello bello", id: 2)
    @topics << Topic.new(title: "RoR", user_id: 1, contents: "Milyen szep a vilag!", id:2)
  end

  # GET /topics/1
  # GET /topics/1.json
  def show
    @comments = []
    @comments << Comment.new(topic_id:2,user_id:1,comment:"Hello", created_at: Time.now)

    @attachments = []
    @attachments << Attachment.new(topic_id:2, user_id: 1, path: '/tmp/1.txt', mime: 'text/plain', size: 1, name: 'a.txt')

    @links = []
    @links << Link.new(topic_id:2, user_id:1, url: 'http://gyakorlat.com')
  end

  # GET /topics/new
  def new
    @topic = Topic.new
  end

  # GET /topics/1/edit
  def edit
  end

  # POST /topics
  # POST /topics.json
  def create
    @topic = Topic.new(topic_params)

    respond_to do |format|
      if @topic.save
        format.html { redirect_to @topic, notice: 'Topic was successfully created.' }
        format.json { render :show, status: :created, location: @topic }
      else
        format.html { render :new }
        format.json { render json: @topic.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /topics/1
  # PATCH/PUT /topics/1.json
  def update
    respond_to do |format|
      if @topic.update(topic_params)
        format.html { redirect_to @topic, notice: 'Topic was successfully updated.' }
        format.json { render :show, status: :ok, location: @topic }
      else
        format.html { render :edit }
        format.json { render json: @topic.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /topics/1
  # DELETE /topics/1.json
  def destroy
    @topic.destroy
    respond_to do |format|
      format.html { redirect_to topics_url, notice: 'Topic was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_topic
      #@topic = Topic.find(params[:id])
      @topic = Topic.new id: 2, title: "Masordszor", contents: "Ma kedd van", user_id: 1
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def topic_params
      params.require(:topic).permit(:title, :user_id, :contents)
    end
end
