Rails.application.routes.draw do
  post 'sessions/create', to: 'sessions#create', as: 'login'
  match 'sessions/destroy', to: 'sessions#destroy', via: [:get, :delete], as: 'logout'

  get 'users/new', to: 'users#new', as: 'register'
  post 'users/create', to: 'users#create', as: 'create'
  get 'users/edit/:id', to: 'users#edit', as: 'profile'
  put 'users/update/:id', to: 'users#update', as: 'update' 
  get 'users/forgotten'
  post 'users/send_forgotten'

  resources :topics

  get 'say/hello', to: 'say#hello', as: 'hello'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
